=== modified file 'Makefile.am'
--- Makefile.am	2009-12-24 04:36:43 +0000
+++ Makefile.am	2009-12-24 23:36:45 +0000
@@ -20,6 +20,7 @@
 TESTS = 
 check_PROGRAMS =
 noinst_HEADERS =
+nobase_pkginclude_HEADERS =
 lib_LTLIBRARIES = 
 noinst_LTLIBRARIES =
 noinst_PROGRAMS =
@@ -176,8 +177,6 @@
 	  echo '#define PKGPLUGINDIR "$(pkgplugindir)"'; \
           echo '#undef VERSION'; \
           echo '#define VERSION "${PANDORA_RELEASE_VERSION}"'; \
-          echo '#define DRIZZLE_VERSION_ID $(PANDORA_RELEASE_ID)'; \
-          echo '#define DRIZZLE_RELEASE_COMMENT "${PANDORA_RELEASE_COMMENT}"'; \
 	} | sed '/""/d' > $@-t
 	@if diff $@-t $@ >/dev/null 2>&1 ; then \
 	  rm @-t ; \

=== modified file 'configure.ac'
--- configure.ac	2009-12-14 01:31:09 +0000
+++ configure.ac	2009-12-24 23:36:45 +0000
@@ -117,6 +117,7 @@
  gnulib/Makefile dnl
  po/Makefile.in dnl
  tests/Makefile dnl
+ drizzled/plugin/version.h dnl
  support-files/drizzle.server support-files/drizzle-log-rotate
  support-files/smf/install.sh dnl
  support-files/smf/drizzle.xml dnl

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2009-12-23 21:16:15 +0000
+++ drizzled/include.am	2009-12-24 23:36:45 +0000
@@ -30,8 +30,7 @@
 	      drizzled/statement/insert.o \
 	      drizzled/statement/insert_select.o
 
-drizzledincludedir = ${includedir}/drizzled
-nobase_dist_drizzledinclude_HEADERS = \
+nobase_pkginclude_HEADERS+= \
 		drizzled/alter_column.h \
 		drizzled/alter_drop.h \
 		drizzled/alter_info.h \
@@ -308,6 +307,7 @@
 		drizzled/plugin/transaction_applier.h \
 		drizzled/plugin/transaction_reader.h \
 		drizzled/plugin/transaction_replicator.h \
+		drizzled/plugin/version.h \
 		drizzled/pthread_globals.h \
 		drizzled/probes.h \
 		drizzled/qsort_cmp.h \

=== modified file 'drizzled/plugin.h'
--- drizzled/plugin.h	2009-12-22 08:48:52 +0000
+++ drizzled/plugin.h	2009-12-24 23:36:45 +0000
@@ -24,7 +24,7 @@
 #include <drizzled/xid.h>
 #include <drizzled/plugin/manifest.h>
 #include <drizzled/plugin/module.h>
-#include "drizzled/configmake.h"
+#include "drizzled/plugin/version.h"
 #include "drizzled/definitions.h"
 
 

=== added file 'drizzled/plugin/version.h.in'
--- drizzled/plugin/version.h.in	1970-01-01 00:00:00 +0000
+++ drizzled/plugin/version.h.in	2009-12-24 23:36:45 +0000
@@ -0,0 +1,30 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2009 Sun Microsystems
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_PLUGIN_VERSION_H
+#define DRIZZLED_PLUGIN_VERSION_H
+
+/* Machine comsumable version of the server which was built against. */
+#define DRIZZLE_VERSION_ID @PANDORA_RELEASE_ID@
+
+/* A release comment about the branch that was built */
+#define DRIZZLE_RELEASE_COMMENT "@PANDORA_RELEASE_COMMENT@"
+
+#endif /* DRIZZLED_PLUGIN_VERSION_H */
+

